Application: gvSIG desktop - gvSIG bugs #94
Error to Add points from table / Ahadir capa de eventos
12/19/2011 11:48 AM - Jorge Piera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Jorge Piera

Category:

Target version: 2.0.0-alpha3

Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2041
gvSIG build: 2041 Add-on resolve version2.0.0
Operative System: Add-on resolve build: 2042
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: unknown

Description

Herramientas -> Transformaciones -> Capa de eventos

. selecciona la capa
. selecciona el campo de coordenada x
. selecciona el campo de coordenada y

1
2
3
4. indica nombre del campo que contiene la geometria, por ejemplo 'geom'’
5. Marcar 'Cargar los resultados en la vista'

6. indicar la vista donde se va a cargar

7. Final Aparece mensaje de error: java.lang.NullPointerException y la capa queda inhabilitada, entonces hay que eliminarla de la

TOC y volverla a cargar.
Tools -> Transformaciones -> Capa de eventos ->

. select layer

. select x coordinate field

. select y coordinate field

. geometry field name, for instance 'geom’

. Click on 'Cargar los resultados en la vista'

. Indicate the view where ir will be loaded

. Final An error message appears: java.lang.NullPointerException and the layer left disabled, so you must delete it from the TOC and
reload it again.
History

#1 - 12/22/2011 09:52 AM - Jorge Piera
- Status changed from New to Fixed

- Add-on version set to 2.0.0

- Add-on build set to 2041

- Add-on resolve version set to 2.0.0

- Add-on resolve build set to 2042

Fixed.

I've also added a functionality to allow to the transformations to decide if they can be applied to a feature store.
#2 - 01/13/2012 02:50 PM - Joaquin del Cerro Murciano

- Target version set to 2.0.0-alpha3

#3 - 02/26/2014 12:36 PM - Alvaro Anguix
- Status changed from Fixed to Closed
